Subject: RE: bug#7716: 23.2.91; Pretest Windows binary doesn't support PNG images

From: "Drew Adams" <[email-masked]>
Date: Thu, 23 Dec 2010 09:36:55 -0800

> > (image-type-available-p 'png) => nil
> 
> Do you have one of the PNG DLLs installed that are mentioned in
> image-library-alist?

No.  (BTW, that variable is apparently now obsolete.)

Or rather, how would I know?  Where is the variable/function that tells me which
image DLLS are installed?

And shouldn't we be delivering such DLLs with Emacs?

And where are the instructions that explain where to get such DLLs and what to
do with them?  Does that "installing" require compiling etc. C sources, or just
putting some DLL files in some directory?  What tools does a (Windows) user need
to "install" the DLLs?

I haven't found any info about this in the Emacs manual, but maybe I'm not
looking well enough.  I tried `i image'(...), but saw nothing about what to do
to make Emacs images-enabled.